### File

`packages/eui-ecl/packages/core/src/lib/utils/directives/ecl-click-outside/ecl-click-outside.directive.ts`

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclClickOutside]`

### Index

###### Methods

- Public onClick
- getCssClasses

###### Inputs

- class
- e2eAttr

###### Outputs

- eclClickOutside

###### HostListeners

- document:click

### Constructor

`constructor(elementRef: ElementRef)`

Parameters :

Name | Type | Optional
elementRef | `ElementRef` | No

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

eclClickOutside
Type : `EventEmitter`

### HostListeners

document:click
Arguments : `'$event.target'`

### Methods

Public onClick
`onClick(target)`
Decorators : `@HostListener('document:click', ['$event.target'])`

Parameters :

Name | Optional
target | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

# results matching ""

# No results matching ""